=== packages/QuickCheck/Makefile ===
TOP=..
include $(TOP)/mk/boilerplate.mk

SUBDIRS = 

ALL_DIRS = \
	Test Test/QuickCheck \
	Debug Debug/QuickCheck

PACKAGE = QuickCheck
VERSION = 1.0
PACKAGE_DEPS = base

SRC_HADDOCK_OPTS += -t "Haskell Hierarchical Libraries ($(PACKAGE) package)"

include $(TOP)/mk/target.mk
