=== debian/changelog ===
hugs98 (98.200609.21-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Replaced obsolete libncurses5-dev build dependency with libncurses-dev.
  * Update lintian override info format in
    d/libhugs-cabal-bundled.lintian-overrides on line 1.
  * Remove obsolete linda overrides: libhugs-cabal-bundled.linda-overrides
  * Replaced obsolete build dependency libgl1-mesa-dev with libgl-dev.
  * Removed unneeded checks for root in d/rules.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 04 May 2024 07:54:05 +0200

hugs98 (98.200609.21-6) unstable; urgency=medium

  * QA upload.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Set Debian QA Group as maintainer.
  * Using new DH level format. Consequently:
      - debian/compat: Removed.
      - debian/control: Changed from 'debhelper' to 'debhelper-compat' in
                        Build-Depends field and bumped level to 13.
  * debian/changelog: Removed blank spaces.
  * debian/control:
      - Added ${misc:Depends} in Depends.
      - Added Homepage.
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.6.0.
      - Change 'Section' in sub packages to haskell.
      - changing the long description in libhugs-fgl-bundled,
        libhugs-network-bundled and libhugs-time-bundled.
      - Organized Depends.
      - Removed article at the beginning of the short description.
      - Removed autotools-dev is no longer needed.
      - Removed empty paragraph the lines after the first line of the
        "Description:" field.
      - Removed "Priority: optional" in sub packages.
  * debian/hugs.menu: Renomed section "App" for "Applications".
  * debian/menu: Renomed section "App" for "Applications".
  * debian/patches/old-patches.patch: Created.
  * debian/rules:
      - Added "dh sequencer" (Closes: #999196).
      - Added option '-g' in CFLAGS.
      - Removed blank spaces.
      - Replaced "dh_clean -k" with "dh_prep".
  * debian/source/format: Created.
  * debian/watch:
      - Bumped to version 4.
      - Updated the source address.

 -- Hugo Torres de Lima <hugotorres@protonmail.com>  Sat, 11 Dec 2021 20:09:03 -0300

hugs98 (98.200609.21-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5":
    apply patch from Elizabeth J Dall:
    build with -std=gnu89 in debian/rules.
    (Closes: #777903)

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 Jul 2015 20:07:51 +0200

hugs98 (98.200609.21-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libreadline-dev | libreadline5-dev. Closes: #553783.

 -- Matthias Klose <doko@debian.org>  Fri, 02 Sep 2011 12:09:52 +0200

hugs98 (98.200609.21-5.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix build error: run autoconf in packages/network as configure.ac
    has been changed. (Closes: #608220)
  * Set urgency to "high" for RC bugfix.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 16 Jan 2011 23:22:37 +0100

hugs98 (98.200609.21-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Improve SO_PEERCRED/struct ucred detection by applying a patch stolen
    from haskell-network's 64a3779811dd9965d864c8b9c85c49a261c4eb69. This
    fixes the build with glibc 2.8 and higher (Closes: #608220). As a
    reminder, the build ought to break with such compiler errors, instead
    of creating mostly-empty packages, as noted by Jakub Wilk.
  * Set urgency to “high” for RC bugfix.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 05 Jan 2011 17:27:04 +0100

hugs98 (98.200609.21-5) unstable; urgency=low

  * configure.ac: temporarily add ${Hugs}/libraries to the search path of
    Hugs as most Debian packages install their Hugs libraries there.
  * Runned autoconf as we have changed configure.ac.
  * debian/compat: Bump debhelper compatibility level to 5.
  * debian/control{,in}:
    - Bump versioned dependency on debhelper.
    - Drop the non-existing haskell-cabal package from the Suggest field.

 -- Arjan Oosting <arjan@debian.org>  Tue, 17 Apr 2007 00:45:05 +0200

hugs98 (98.200609.21-4) experimental; urgency=low

  * debian/{make-control.hs,control,control.in}: make the dependency
    between libhugs-*-bundled and hugs versioned.

 -- Arjan Oosting <arjan@debian.org>  Thu, 21 Dec 2006 22:19:57 +0100

hugs98 (98.200609.21-3) experimental; urgency=low

  * Build the bundled GLUT package again:
    - debian/control{,.in}: Add freeglut3-dev, libxi-dev and libxmu-dev to
      the Build-Depends which are needed to build the GLUT package.
    - debian/control: Add libhugs-glut-bundled entry.
  * debian/rules: echo config.log to stdout when package is not build so
    we can see where the build daemons fail.

 -- Arjan Oosting <arjan@debian.org>  Wed, 13 Dec 2006 14:33:21 +0100

hugs98 (98.200609.21-2) experimental; urgency=low

  * src/builtin.c: replace g constraint with r constraint in the inline
    assembly code as suggested and applied upstream by Ross Paterson. This
    should fix the FTBFS on powerpc. (Closes: #402476)

 -- Arjan Oosting <arjan@debian.org>  Mon, 11 Dec 2006 22:32:54 +0100

hugs98 (98.200609.21-1) experimental; urgency=low

  * Add myself to the Uploaders field.
  * The hugs binary package has been split into several binary packages:
    - the hugs binary package contains the interpreter and the base and
      haskell98 librariespackages
    - the other libhugs-*-bundled binary packages each contain one the
      other haskell libraries shipped with hugs. (Closes: 377501)
  * New upstream release. Upstream changes since the previous Debian
    package:
    - The default current module is now the empty module Hugs.
    - The compatibility libraries are no longer included on the default

