=== debian/control ===
Source: hugs98
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: bison,
               debhelper-compat (= 13),
               docbook,
               docbook-dsssl,
               docbook-utils,
               dpkg-dev (>= 1.13.19),
               freeglut3-dev,
               libalut-dev,
               libgl-dev,
               libglu1-mesa-dev,
               libncurses-dev,
               libopenal-dev,
               libreadline-dev | libreadline5-dev,
               libxi-dev,
               libxmu-dev,
               libxt-dev,
Standards-Version: 4.7.0
Homepage: https://www.haskell.org/hugs/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/hugs98
Vcs-Git: https://salsa.debian.org/debian/hugs98.git

Package: hugs
Architecture: any
Depends: libhugs-base,
         libhugs-haskell98,
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: hugs98,
Provides: hugs98,
Replaces: hugs98,
Suggests: cpphs,
          haskell-doc,
          haskell-mode,
Description: Haskell 98 interpreter
 Hugs is an interpreter for the non-strict, purely functional programming
 language Haskell.  This version of Hugs, Hugs 98, supports nearly all of
 the Haskell 98 specification, as well as a number of extensions.
 .
 The Haskell language is described by documents in the haskell-doc
 package.  Other libraries are documented in the ghc6-doc package.
Recommends: libhugs-alut,
            libhugs-cabal,
            libhugs-fgl,
            libhugs-glut,
            libhugs-haskell-src,
            libhugs-haxml,
            libhugs-hgl,
            libhugs-hunit,
            libhugs-mtl,
            libhugs-network,
            libhugs-openal,
            libhugs-opengl,
            libhugs-parsec,
            libhugs-quickcheck,
            libhugs-stm,
            libhugs-time,
            libhugs-unix,
            libhugs-x11,
            libhugs-xhtml,

Package: libhugs-alut-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         libhugs-openal,
         libhugs-opengl,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-alut,
Conflicts: libhugs-alut,
Description: Binding for the OpenAL Utility Toolkit
 A Haskell binding for the OpenAL Utility Toolkit, which makes
 managing of OpenAL contexts, loading sounds in various formats
 and creating waveforms very easy. For more information about the
 C library on which this binding is based, please see:
 <http://www.openal.org/openal_webstf/specs/alut.html>.
 .
 This is the version bundled with the interpreter.

Package: libhugs-base-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-base,
Conflicts: libhugs-base,
Description: Basic libraries
 This package contains the Prelude and its support libraries,
 and a large collection of useful libraries ranging from data
 structures to parsing combinators and debugging utilities.
 .
 This is the version bundled with the interpreter.

Package: libhugs-cabal-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-cabal,
Conflicts: libhugs-cabal,
Description: Framework for packaging Haskell software
 The Haskell Common Architecture for Building Applications and
 Libraries: a framework defining a common interface for authors to more
 easily build their Haskell applications in a portable way.
 .
 The Haskell Cabal is meant to be a part of a larger infrastructure
 for distributing, organizing, and cataloging Haskell libraries
 and tools.
 .
 This is the version bundled with the interpreter.

Package: libhugs-fgl-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         libhugs-mtl,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-fgl,
Conflicts: libhugs-fgl,
Description: Martin Erwig's Functional Graph Library
 This is the libhugs-fgl-bundled version that bundled with
 the interpreter.

Package: libhugs-glut-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         libhugs-opengl,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-glut,
Conflicts: libhugs-glut,
Description: Binding for the OpenGL Utility Toolkit
 A Haskell binding for the OpenGL Utility Toolkit, a window
 system independent toolkit for writing OpenGL programs. For more
 information about the C library on which this binding is based,
 please see: <http://www.opengl.org/resources/libraries/glut/>.
 .
 This is the version bundled with the interpreter.

Package: libhugs-haskell98-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-haskell98,
Conflicts: libhugs-haskell98,
Description: Compatibility with Haskell 98
 This package provides compatibility with the modules of Haskell
 98 and the FFI addendum, by means of wrappers around modules from
 the base package (which in many cases have additional features).
 However Prelude, Numeric and Foreign are provided directly by
 the base package.
 .
 This is the version bundled with the interpreter.

Package: libhugs-haskell-src-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         libhugs-haskell98,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-haskell-src,
Conflicts: libhugs-haskell-src,
Description: Manipulating Haskell source code
 Facilities for manipulating Haskell source code:
 an abstract syntax, lexer, parser and pretty-printer.
 .
 This is the version bundled with the interpreter.

Package: libhugs-haxml-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         libhugs-haskell98,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-haxml,
Conflicts: libhugs-haxml,
Description: Utilities for manipulating XML documents
 Haskell utilities for parsing, filtering, transforming and
 generating XML documents.
 .
 This is the version bundled with the interpreter.

Package: libhugs-hgl-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         libhugs-x11,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-hgl,
Conflicts: libhugs-hgl,
Description: Simple graphics library based on X11 or Win32
 A simple graphics library, designed to give the programmer access
 to most interesting parts of the Win32 Graphics Device Interface
 and X11 library without exposing the programmer to the pain and
 anguish usually associated with using these interfaces.
 .
 The library also includes a module Graphics.SOE providing the
 interface used in "The Haskell School of Expression", by Paul
 Hudak, cf <http://www.haskell.org/soe/>.
 .
 This is the version bundled with the interpreter.

Package: libhugs-hunit-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-hunit,
Conflicts: libhugs-hunit,
Description: Unit testing framework for Haskell
 HUnit is a unit testing framework for Haskell, inspired by the
 JUnit tool for Java, see: <http://www.junit.org>.
 .
 This is the version bundled with the interpreter.

Package: libhugs-mtl-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-mtl,
Conflicts: libhugs-mtl,
Description: Monad transformer library
 A monad transformer library, inspired by the paper "Functional
 Programming with Overloading and Higher-Order Polymorphism",
 by Mark P Jones (<http://www.cse.ogi.edu/~mpj/>), Advanced School
 of Functional Programming, 1995.
 .
 This is the version bundled with the interpreter.

Package: libhugs-network-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         libhugs-parsec,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-network,
Conflicts: libhugs-network,
Description: Networking-related facilities
 This is the libhugs-network-bundled version that bundled with the
 interpreter.

Package: libhugs-openal-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         libhugs-opengl,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-openal,
Conflicts: libhugs-openal,
Description: Binding to the OpenAL cross-platform 3D audio API
 A Haskell binding for the OpenAL cross-platform 3D audio API,
 appropriate for use with gaming applications and many other
 types of audio applications.  For more information about OpenAL,
 please see: <http://www.openal.org/>.
 .
 This is the version bundled with the interpreter.

Package: libhugs-opengl-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-opengl,
Conflicts: libhugs-opengl,
Description: Binding for the OpenGL graphics system
 A Haskell binding for the OpenGL graphics system (GL, version
 1.5) and its accompanying utility library (GLU, version 1.3).
 OpenGL is the industry's most widely used and supported 2D and 3D
 graphics application programming interface (API), incorporating
 a broad set of rendering, texture mapping, special effects, and
 other powerful visualization functions.  For more information
 about OpenGL, please see: <http://www.opengl.org/>.
 .
 This is the version bundled with the interpreter.

Package: libhugs-parsec-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-parsec,
Conflicts: libhugs-parsec,
Description: Monadic parser combinators
 Parsec is designed from scratch as an industrial-strength parser
 library.  It is simple, safe, well documented (on the package
 homepage), has extensive libraries and good error messages,
 and is also fast.
 .
 This is the version bundled with the interpreter.

Package: libhugs-quickcheck-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-quickcheck,
Conflicts: libhugs-quickcheck,
Description: Automatic testing of Haskell programs
 A library for testing Haskell programs automatically.
 The programmer provides a specification of the program, in
 the form of properties which functions should satisfy, and
 QuickCheck then tests that the properties hold in a large number
 of randomly generated cases.  Specifications are expressed in
 Haskell, using combinators defined in the QuickCheck library.
 QuickCheck provides combinators to define properties, observe
 the distribution of test data, and define test
 data generators.
 .
 This is the version bundled with the interpreter.

Package: libhugs-stm-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-stm,
Conflicts: libhugs-stm,
Description: Software Transactional Memory
 A modular composable concurrency abstraction.
 .
 This is the version bundled with the interpreter.

Package: libhugs-time-bundled
Architecture: any
Depends: hugs (= ${binary:Version}),
         libhugs-base,
         ${misc:Depends},
         ${shlibs:Depends},
Section: haskell
Provides: libhugs-time,
Conflicts: libhugs-time,
Description: time library
 This is the libhugs-time-bundled version that bundled with the
 interpreter.
