=== debian/watch ===
version = 4
https://www.haskell.org/hugs/downloads/2006-09/hugs98-(.*)\.tar\.(?:gz|bz2|xz)
